This is a Laravel 5 package that provides invoice_pack management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `tom/invoice_pack`.

    "tom/invoice_pack": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Tom\InvoicePack\Providers\InvoicePackServiceProvider::class,

```

And also add it to alias

```php
'InvoicePack'  => Tom\InvoicePack\Facades\InvoicePack::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Tom\InvoicePack\Providers\InvoicePackServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Tom\InvoicePack\Providers\InvoicePackServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Tom\InvoicePack\Providers\InvoicePackServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Tom\InvoicePack\Providers\InvoicePackServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Tom\InvoicePack\Providers\InvoicePackServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Tom\InvoicePack\Providers\InvoicePackServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


